#1905 closed enhancement (fixed)

Make rtems_dhcp_failsafe() run time configurable

Reported by: dufault Owned by: Joel Sherrill
Priority: highest Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

rtems_dhcp_failsafe() can be configured at compile time with various options. This patch makes it possible to instead configure it at runtime.

This will make it marginally larger. I haven't measured the difference but I'll guess it's in the lower hundreds of bytes. The patch could be modified to leave it either compile time or run time configurable, I prefer the simplicity of a single method.

Attachments (1)

rtems_dhcp_failsafe.diff (9.1 KB) - added by dufault on Aug 30, 2011 at 2:28:29 PM.
Proposed patches to provide configurability.

Download all attachments as: .zip

Change History (5)

Changed on Aug 30, 2011 at 2:28:29 PM by dufault

Attachment: rtems_dhcp_failsafe.diff added

Proposed patches to provide configurability.

comment:1 Changed on Sep 1, 2011 at 11:55:56 AM by Joel Sherrill

The patch looks good to me. The marginal increase in code size isn't a big deal for a network app.

Would you mind adding some information to doc/networking/networkapp.t? If you add that as a second patch, I will commit this.

Thanks.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:3 Changed on Dec 19, 2014 at 5:06:18 AM by Gedare Bloom

Priority: normalhighest

Bump priority to highest for tickets with a fix attached or seemingly simple fix proposed in the description or comments.

comment:4 Changed on Dec 24, 2014 at 3:16:46 AM by Peter Dufault <dufault@…>

Resolution: fixed
Status: newclosed

In da10694a489a51534ba189417defbea4162cfd8f/rtems:

libnetworking: Make rtems_dhcp_failsafe() run time configurable

rtems_dhcp_failsafe() can be configured at compile time with
various options. This change makes it possible to instead configure
it at runtime.

This will make it marginally larger. I haven't measured the difference
but I'll guess it's in the lower hundreds of bytes. The change could be
modified to leave it either compile time or run time configurable,
I prefer the simplicity of a single method.

closes #1905

Note: See TracTickets for help on using tickets.